﻿using DTO.Responses;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Xml.Serialization;

namespace TPChapitre4.DTO
{
    [XmlRoot]
    public class Users
    {
        [XmlElement]
        public List<GetProfileResponseDTO> User { get; set; }
    }

    [Serializable]
    [DataContract]
    public class GetProfileResponseDTO
    {
        [DataMember]
        [XmlAttribute]
        public int Id { get; set; }
        [DataMember]
        public ResponseCode Status { get; set; }
        [DataMember]
        [XmlElement]
        public string Fullname { get; set; }
        [DataMember]
        [XmlElement]
        public int Likes { get; set; }
        [DataMember]
        [XmlElement]
        public int TotalPosts { get; set; }
        [DataMember]
        [XmlElement]
        public int TotalFollowing { get; set; }
        [DataMember]
        [XmlElement]
        public int TotalFollowers { get; set; }
        [DataMember]
        [XmlElement]
        public string ImageURL { get; set; }
        [DataMember]
        [XmlElement]
        public string City { get; set; }
    }
}
